%global svn_revision 6000
%global date 20150426

Name:           doublecmd
Summary:        Twin-panel (commander-style) file manager
Version:        0.6.2
Release:        0.1.%{date}svn%{svn_revision}%{?dist}

URL:            http://%{name}.sf.net
# svn export -r %{svn_revision} svn://svn.code.sf.net/p/%{name}/code/trunk %{project}-r%{svn_revision}
# tar cf %{name}-r%{svn_revision}.tar.xz %{project}-r%{svn-revision}
Source0:        %{name}-r%{svn_revision}.tar.xz
License:        GPLv2+ and LGPLv2+ with exceptions

BuildRequires:  fpc >= 2.4.0 fpc-src lazarus >= 0.9.29
BuildRequires:  dbus-devel bzip2-devel xorg-x11-proto-devel xorg-x11-xtrans-devel
# FIXME qt5 and gtk3 not possible at the moment
BuildRequires:  qt4pas-devel gtk2-devel

# weak dependencies are not available in F20 (needs RPM 4.12)
%if 0%{?fedora} >= 21
Suggests:       %{name}-qt = %{version}-%{release}
Suggests:       %{name}-gtk = %{version}-%{release}
Suggests:       %{name}-plugins = %{version}-%{release}
%endif

%description
Double Commander is a cross platform open source file manager
with two panels side by side.
It is inspired by Total Commander and features some new ideas.

%package qt
Summary:        Twin-panel (commander-style) file manager (Qt version)
Requires:       qt4
Requires:       %{name} = %{version}-%{release}

%description qt
Double Commander is a cross platform open source file manager
with two panels side by side.
It is inspired by Total Commander and features some new ideas.
This is the build for Qt framework.

%package gtk2
Summary:        Twin-panel (commander-style) file manager (GTK2 version)
Requires:       gtk2
Requires:       %{name} = %{version}-%{release}

%description gtk2
Double Commander is a cross platform open source file manager
with two panels side by side.
It is inspired by Total Commander and features some new ideas.
This is the build for GTK2 framework.

%package plugins
Summary:        Plugins for %{name}
Requires:       %{name} = %{version}-%{release}

%description plugins
%{summary}.


%prep
%setup -qn%{name}-r%{svn_revision}

%build
# Keep the debuginfo.
sed -i '/strip/d' build.sh
%ifarch armv7hl
 export CPU_TARGET=arm
%else
 export CPU_TARGET=%{_arch}
%endif
echo build components --------------------------------------------
sh ./build.sh components
for widgets in qt gtk2 ; do
 echo build $widgets ---------------------------------------------
 sh ./build.sh - $widgets
 mv %{name} %{name}-$widgets
done
touch %{name}
echo build plugins -----------------------------------------------
sh ./build.sh plugins

%install
# .zdli is generated by beta target. Not sure what is the difference.
# http://%{name}.sf.net/mantisbt/view.php?id=963
sed -i '/\.zdli/d' install/linux/install.sh
install/linux/install.sh --install-prefix=%{buildroot}
rm %{buildroot}%{_bindir}/%{name}
cp -p %{name}-* %{buildroot}%{_bindir}
find %{buildroot}%{_libdir}/%{name}/plugins -name '*.w?x' -exec chmod 0755 {} \;
pushd %{buildroot}%{_datadir}/applications
sed -e 's,Exec=.*,\0-qt,' -e 's,Name=.*,\0 (Qt),' %{name}.desktop > %{name}-qt.desktop
sed -e 's,Exec=.*,\0-gtk2,' -e 's,Name=.*,\0 (GTK2),' %{name}.desktop > %{name}-gtk2.desktop
rm %{name}.desktop
popd
# relocate noarch files
pushd %{buildroot}%{_libdir}/%{name}
rm -r doc language pixmaps
mv *.ext.example *.xml *.txt *.ini scripts/  %{buildroot}%{_datadir}/%{name}
popd


%files qt
%{_bindir}/%{name}-qt
%{_datadir}/applications/%{name}-qt.desktop

%files gtk2
%{_bindir}/%{name}-gtk2
%{_datadir}/applications/%{name}-gtk2.desktop

%files
%license doc/COPYING*
%doc doc/README* doc/changelog.txt doc/en/ doc/ru/ doc/uk/
%{_mandir}/man1/%{name}.1*
%{_datadir}/%{name}/
%{_datadir}/pixmaps/%{name}.*
%dir %{_libdir}/%{name}
%{_libdir}/%{name}/%{name}*
%{_bindir}/%{name}-noconsole.js

%files plugins
%{_libdir}/%{name}/plugins/


%changelog
* Sun Apr 26 2015 Raphael Groner <projects.rg@smart.ms> - 0.6.2-0.1.20150426svn6000
- revision 6000
- add build for gtk2
- split into subpackages

* Fri Apr 03 2015 Raphael Groner <projects.rg@smart.ms> - 0.6.1-1.20150402svn5941
- rev 5941
- build with qt4
- minor cleanup to spec file

* Mon Dec 01 2014 Vít Ondruch <vondruch@redhat.com> - 0.6.0-0.svn5681
- Revision 5681.

* Mon Feb 03 2014 Vít Ondruch <vondruch@redhat.com> - 0.6.0-0.svn5447
- Revision 5447.

* Mon Jul 15 2013 Vít Ondruch <vondruch@redhat.com> - 0.5.5-1.svn5256
- Revision 5256.

* Wed May 15 2013 Vít Ondruch <vondruch@redhat.com> - 0.5.5-1.svn5205
- Revision 5205.

* Mon Sep 17 2012 Vít Ondruch <vondruch@redhat.com> - 0.5.5-1.svn4969
- Revision 4969.

* Mon Jul 02 2012 Vít Ondruch <vondruch@redhat.com> - 0.5.5-1.svn4912
- Revision 4912.

* Thu Feb 23 2012 Vít Ondruch <vondruch@redhat.com> - 0.5.5-1.svn4690
- Revision 4690.

* Thu Feb 23 2012 Vít Ondruch <vondruch@redhat.com> - 0.5.5-1.svn4304
- Revision 4304.

* Tue Nov 01 2011 Vít Ondruch <vondruch@redhat.com> - 0.5.5-1.svn4036
- Revision 4036.

* Wed Aug 24 2011 Vít Ondruch <vondruch@redhat.com> - 0.5.5-1.svn3836
- Revision 3836.

* Fri Jun 17 2011 Vít Ondruch <vondruch@redhat.com> - 0.5.5-1.svn3643
- Version 0.5.5
- Revision 3643.

* Tue May 24 2011 Vít Ondruch <vondruch@redhat.com> - 0.4.6-2
- Revision 3617.

* Fri Jun 11 2010 - Alexander Koblov <Alexx2000@mail.ru>
- Initial package, version 0.4.6
